curl --request GET \
--url https://openapi.beeos.ai/api/v1/instances \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"id": "<string>",
"ownerId": "<string>",
"agentFramework": "<string>",
"providerId": "<string>",
"externalId": "<string>",
"osType": "<string>",
"hostingType": "<string>",
"cloudProvider": "<string>",
"name": "<string>",
"modelPrimary": "<string>",
"models": [
"<string>"
],
"status": "<string>",
"desiredStatus": "<string>",
"endpoint": "<string>",
"bridgeId": "<string>",
"identityId": "<string>",
"totalRunSeconds": 123,
"connectivity": "<string>",
"providerConfig": {},
"haltReason": "<string>",
"publicIp": "<string>",
"clusterId": "<string>",
"region": "<string>",
"imageId": "<string>",
"imageRef": "<string>",
"isTrial": true,
"expiresAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"systemPrompt": "<string>",
"mcpServers": {},
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"statusEnteredAt": "2023-11-07T05:31:56Z",
"connectivityUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"screenshotUrl": "<string>",
"screenshotUpdatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}curl --request GET \
--url https://openapi.beeos.ai/api/v1/instances \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"id": "<string>",
"ownerId": "<string>",
"agentFramework": "<string>",
"providerId": "<string>",
"externalId": "<string>",
"osType": "<string>",
"hostingType": "<string>",
"cloudProvider": "<string>",
"name": "<string>",
"modelPrimary": "<string>",
"models": [
"<string>"
],
"status": "<string>",
"desiredStatus": "<string>",
"endpoint": "<string>",
"bridgeId": "<string>",
"identityId": "<string>",
"totalRunSeconds": 123,
"connectivity": "<string>",
"providerConfig": {},
"haltReason": "<string>",
"publicIp": "<string>",
"clusterId": "<string>",
"region": "<string>",
"imageId": "<string>",
"imageRef": "<string>",
"isTrial": true,
"expiresAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"systemPrompt": "<string>",
"mcpServers": {},
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"statusEnteredAt": "2023-11-07T05:31:56Z",
"connectivityUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"screenshotUrl": "<string>",
"screenshotUpdatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}通过 Authorization: Bearer <token> 头传递用户 JWT 或 oag_
用户 API Key。
页码(从 0 开始)。
x >= 0每页数量。
0 <= x <= 200按状态过滤。
按 Provider ID 过滤。
按智能体框架过滤。
按集群 ID 过滤。
搜索关键词。